Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 664 - the dev package can be accidentally uninstalled!
Summary: the dev package can be accidentally uninstalled!
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-01 18:52 UTC by prabhu
Modified: 2014-03-17 02:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-13 19:20:09 UTC


Attachments (Terms of Use)

Description prabhu 1999-01-01 18:52:35 UTC
The dev package can be accidentally uninstalled and sys
admins who are unaware of this can land up in trouble if
they uninstall this package by mistake.  This may not be a
bug but I have seen cases of people who have actually done
this and had severe problems once they did this.  This is
because according to RPM no package needs dev (this is
obviously very wrong).

# rpm -q --whatrequires dev
no package requires dev
#

prabhu

Comment 1 Alan Cox 2002-12-13 19:06:28 UTC
Just scanning over bug pre-history

Its now pinned in place by mkinitrd at least. Surely the kernel can also require
this now ?


Comment 2 Bill Nottingham 2002-12-13 19:20:09 UTC
Changed initscripts in CVS to require dev. That should cover most of the
non-esoteric setups.


Note You need to log in before you can comment on or make changes to this bug.